diff options
author | Nikos Mavrogiannopoulos <nmav@redhat.com> | 2014-11-26 15:20:07 +0100 |
---|---|---|
committer | Nikos Mavrogiannopoulos <nmav@redhat.com> | 2014-12-03 10:12:19 +0100 |
commit | 7fe49f359f217d4b5c01e5b4b183ae0b81fff6ff (patch) | |
tree | 0030c4d9852ffd2b08bc8bf71ed3f9ec624f6dca /tests/slow | |
parent | 021599971598b1848b516df2f4be95b9b62f75f9 (diff) | |
download | gnutls-7fe49f359f217d4b5c01e5b4b183ae0b81fff6ff.tar.gz |
tests: enhanced cipher check to include all ciphers.
Diffstat (limited to 'tests/slow')
-rw-r--r-- | tests/slow/Makefile.am | 6 | ||||
-rwxr-xr-x | tests/slow/test-ciphers | 78 |
2 files changed, 81 insertions, 3 deletions
diff --git a/tests/slow/Makefile.am b/tests/slow/Makefile.am index 1b82e17826..a97aa9032e 100644 --- a/tests/slow/Makefile.am +++ b/tests/slow/Makefile.am @@ -38,10 +38,10 @@ else cipher_test_CPPFLAGS = $(AM_CPPFLAGS) endif -ctests = gendh keygen cipher-test +ctests = gendh keygen -check_PROGRAMS = $(ctests) -TESTS = $(ctests) +check_PROGRAMS = $(ctests) cipher-test +TESTS = $(ctests) test-ciphers EXTRA_DIST = README diff --git a/tests/slow/test-ciphers b/tests/slow/test-ciphers new file mode 100755 index 0000000000..7d66d54f3b --- /dev/null +++ b/tests/slow/test-ciphers @@ -0,0 +1,78 @@ +#!/bin/sh + +# Copyright (C) 2014 Red Hat, Inc. +# +# Author: Nikos Mavrogiannopoulos +# +# This file is part of GnuTLS. +# +# GnuTLS is free software; you can redistribute it and/or modify it +# under the terms of the GNU General Public License as published by the +# Free Software Foundation; either version 3 of the License, or (at +# your option) any later version. +# +# GnuTLS is distributed in the hope that it will be useful, but +# WITHOUT ANY WARRANTY; without even the implied warranty of +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU +# General Public License for more details. +# +# You should have received a copy of the GNU General Public License +# along with GnuTLS; if not, write to the Free Software Foundation, +# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. + +srcdir="${srcdir:-.}" +CLI="${CLI:-../../src/gnutls-cli$EXEEXT}" +unset RETCODE +if ! test -z "${VALGRIND}";then +VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}" +fi + +./cipher-test +if test $? != 0;then + echo "default cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x1 ./cipher-test +if test $? != 0;then + echo "included cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x2 ./cipher-test +if test $? != 0;then + echo "AESNI cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x4 ./cipher-test +if test $? != 0;then + echo "SSSE3 cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x8 ./cipher-test +if test $? != 0;then + echo "PCLMUL cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x100000 ./cipher-test +if test $? != 0;then + echo "padlock cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x200000 ./cipher-test +if test $? != 0;then + echo "padlock PHE cipher tests failed" + exit 1 +fi + +GNUTLS_CPUID_OVERRIDE=0x400000 ./cipher-test +if test $? != 0;then + echo "padlock PHE SHA512 cipher tests failed" + exit 1 +fi + +exit 0 |